> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.phonic.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.phonic.ai/_mcp/server.

# List Extractions

GET https://api.phonic.ai/v1/conversations/{id}/extractions

Returns all extractions for a conversation.

Reference: https://docs.phonic.ai/api-reference/conversations/list-extractions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication header of the form `Bearer <PHONIC_API_KEY>`. Manage your API keys [here](https://phonic.co/api-keys).

## Request

### Path parameters

- `id` (string, required) — The ID of the conversation to get extractions for.

## Response

### 200

Success response

- `extractions` (list of ConversationExtraction, required)

## Errors

### 401 Unauthorized Error

Unauthorized (authentication missing or invalid)

- `error` (BasicErrorError, optional)

### 403 Forbidden Error

Forbidden

- `error` (BasicErrorError, optional)

### 404 Not Found Error

Conversation not found

- `Error`

### 500 Internal Server Error

Internal server error

- `error` (BasicErrorError, optional)

## Types

### ConversationExtraction

- `id` (string, required) — The extraction ID.
- `schema` (ConversationExtractionSchema, required)
- `result` (map from string to any, required) — The extracted data.
- `created_at` (string, required) — When the extraction was created.

### BasicErrorError

- `message` (string, required) — Error message
- `code` (string, optional) — Error code

### BasicError

- `error` (BasicErrorError, optional)

### ValidationError

- `error` (ValidationErrorError, required)
- `param_errors` (map from string to string, required) — Parameter-specific validation errors

### ConversationExtractionSchema

- `id` (string, required)
- `name` (string, required)
- `isDeleted` (boolean, required) — Whether the extraction schema has been deleted.

### ValidationErrorError

- `message` (string, required) — Error message

## Examples

**Response**

```json
{
  "extractions": [
    {
      "id": "conv_extract_f825-4d3e-a149-ddf1bdd2254c",
      "schema": {
        "id": "conv_extract_schema_6458e4ac-533c-4bdf-8e6d-c2f06f87fd5c",
        "name": "appointment-details",
        "isDeleted": false
      },
      "result": {
        "customer_name": "John Smith",
        "appointment_date": "2025-04-17",
        "appointment_time": "2:30 PM"
      },
      "created_at": "2025-07-30T23:49:18.130Z"
    }
  ]
}
```

**SDK Code**

```python Conversation extractions response
import requests

url = "https://api.phonic.ai/v1/conversations/id/extractions"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Conversation extractions response
const url = 'https://api.phonic.ai/v1/conversations/id/extractions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Conversation extractions response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.phonic.ai/v1/conversations/id/extractions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Conversation extractions response
require 'uri'
require 'net/http'

url = URI("https://api.phonic.ai/v1/conversations/id/extractions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Conversation extractions response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.phonic.ai/v1/conversations/id/extractions")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Conversation extractions response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.phonic.ai/v1/conversations/id/extractions', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Conversation extractions response
using RestSharp;

var client = new RestClient("https://api.phonic.ai/v1/conversations/id/extractions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Conversation extractions response
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.phonic.ai/v1/conversations/id/extractions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```